# Generated by Django 5.0.4 on 2024-10-20 02:46

import django.db.models.deletion
import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0093_uploadedfile'),
    ]

    operations = [
        migrations.CreateModel(
            name='LecturePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('body', wagtail.fields.StreamField([('heading', wagtail.blocks.CharBlock(blank=True, form_classname='title', help_text='Заголовок', max_length=255, null=True, verbose_name='Заголовок')), ('paragraph', wagtail.blocks.RichTextBlock(blank=True, help_text='Текст', max_length=255, null=True)), ('image', wagtail.images.blocks.ImageChooserBlock(blank=True, null=True)), ('document', wagtail.documents.blocks.DocumentChooserBlock(blank=True, null=True))])),
            ],
            options={
                'verbose_name': 'Страница с лекцией',
                'verbose_name_plural': 'Страницы с лекцией',
            },
            bases=('wagtailcore.page',),
        ),
    ]
